Subject: Re: [PATCH] r8169: fix broken register writes

From: Ben Hutchings <[email-masked]>
Date: Sun, 28 Mar 2010 00:47:25 +0000

On Sun, 2010-03-28 at 02:31 +0100, François Romieu wrote:
> This is quite similar to b39fe41f481d20c201012e4483e76c203802dda7
> though said registers are not even documented as 64-bit registers
> - as opposed to the initial TxDescStartAddress ones - but as single
> bytes which must be combined into 32 bits at the MMIO read/write
> level before being merged into a 64 bit logical entity.
[...]

Thanks François.  Which hardware have you tested this on so far?  I was
hesitant to make changes because of the huge number of variants.

Ben.

-- 
Ben Hutchings
Once a job is fouled up, anything done to improve it makes it worse.